Beta

List automation runs

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/automations/{automation_id}/runs

Lists an automation's runs, newest first: why it ran, how it ended (succeeded, nothing_new, waiting_approval, failed), a short summary, and the SMB chat it ran in (chat_id).

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

automation_id*string
Match^aut_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

after?string

next_cursor from the previous page.

Match^[1-9][0-9]{0,17}$
limit?integer
Range1 <= value <= 100

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
data*array<>
next_cursor*string|null
request_id*string
curl -X GET 'https://example.com/v1/automations/string/runs' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": [    {      "id": "string",      "trigger": "schedule",      "scheduled_for": "string",      "event_id": "string",      "status": "queued",      "chat_id": "efc9fe20-a1e5-4a8c-9c48-f1b30c1e4f86",      "summary": "string",      "error": "string",      "created_at": "string",      "started_at": "string",      "finished_at": "string"    }  ],  "next_cursor": "string",  "request_id": "string"}